%{?nodejs_find_provides_and_requires}

%if 0%{?fedora} >= 21
%global enable_tests 1
%else
%global enable_tests 0
%endif

Name:       nodejs-grunt-lib-contrib
Version:    0.6.1
Release:    5%{?dist}
Summary:    Common functionality shared across grunt-contrib tasks
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-lib-contrib
Source0:    http://registry.npmjs.org/grunt-lib-contrib/-/grunt-lib-contrib-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(zlib-browserify)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep zlib-browserify '~0.0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-lib-contrib
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-lib-contrib

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc AUTHORS CHANGELOG LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-lib-contrib


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-4
- add logic for EPEL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-2
- run tests on F21 which has the required dependency (nodejs-zlib-browserify)

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-1
- initial package
